// laserthread.h: Schnittstelle für die Klasse MotorThread.
//
//////////////////////////////////////////////////////////////////////

#ifndef LASERTHREAD_H
#define LASERTHREAD_H


#include <qthread.h>

class AMCMirrorPanel;

class LaserThread : public QThread
{

public:
	LaserThread( QObject* p_pReceiver );
	virtual ~LaserThread();

	void setPanel( AMCMirrorPanel* p_pPanel );
	void setLaser( bool p_zOn ) { m_zOn = p_zOn; };
	AMCMirrorPanel* getPanel() { return m_pPanel; };

protected:
	virtual void run();
private:
	AMCMirrorPanel* m_pPanel;
	QObject*				m_pReceiver;
	bool						m_zOn;
};

#endif
